



<!DOCTYPE html><html lang=zh-CN><head><meta http-equiv="Content-Type" content="text/html; charset=utf-8" /><meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1"><meta name="applicable-device" content="pc,mobile"><meta name="renderer" content="webkit"><meta name="viewport" content="width=device-width,initial-scale=1.0,maximum-scale=5,viewport-fit=cover">
<title>弹性布局--flex方向</title>	
<script src="//n4.ikafan.com/assets/run_prettify.js?ac"></script>
<link rel="stylesheet" href="//n4.ikafan.com/assetsg/style.css">
<!-- <link rel="stylesheet" href="//pic.ikafan.com/staticx/shuzhiduo/1/css.grace/fontello.css?ac"> -->
<!-- <link rel="stylesheet" href="//pic.ikafan.com/staticx/shuzhiduo/1/css.grace/animation.css?ac"> -->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>
<script src="https://n4.ikafan.com/g/show.js"></script>

</head>
<div id="header" class="navbar navbar-default navbar-fixed-top header-01">
	<div class="container">
		<h1 class="logo">
			<a  href="/" title="巴特西"/>
							巴特西
			</a>
		</h1>
				<div role="navigation"  class="site-nav  primary-menu">
			<div class="menu-fix-box">
				 <ul id="menu-navigation" class="menu" >
<li><a href="/">首页</a></li>
<!-- <li><a href="/search/Hadoop/">Hadoop</a></li>
<li><a href="/search/Linux/">Linux</a></li>
<li><a href="/search/jQuery/">jQuery</a></li> -->
<li><a href="/search/Python/">Python</a></li>
<li><a href="/search/Java/">Java</a></li>
<li><a href="/search/PHP/">PHP</a></li>
<li><a href="/search/IOS/">IOS</a></li>
<li><a href="/search/Andorid/">Andorid</a></li>
<li><a href="/search/NodeJS/">NodeJS</a></li>
<li><a href="/search/JavaScript/">JavaScript</a></li>
<li><a href="/search/HTML5/">HTML5</a></li>
				</ul>					 			
			</div>
		</div>
				<!--<div class="right-nav">
				<button class="js-toggle-search"><i class="icon-search"></i></button>
		</div>-->
       
			</div>	
</div>

<div id="page-content">
	<div class="container">
		<div class="row">
			
			<div class="blog-post">
								<!--<div class="posts-top-cjtz clearfix"></div>-->
								<div class="post">
										<div class="post-title">
											<div id="title_top"></div>
<script>insertAdIfNeeded();</script>
						<h1 class="title">弹性布局--flex方向</h1>
						<div class="post_icon">
							<span class="icon-clock-1"> 2024-03-29 02:00:27 </span>
						</div>
										<div class="post-content">
													<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
											
		<h2>flex方向</h2>
<p>flex方向由flex-direction特性决定,用于定义弹性布局模式。flex-direction共有4种模式：从左向右、从右向左、从上往下、从下往上。</p>
<p><strong>主轴</strong></p>
<p>主轴的起点与终点定义了容器元素的开始和结束边缘。</p>
<p><strong>交叉轴</strong></p>
<p>交叉轴的起点与终点定义了容器的顶部与底部。</p>
<p><strong>从左向右：flex-direction:row </strong></p>
<p>主轴：水平方向；交叉轴：垂直方向。</p>
<p><img referrerpolicy="no-referrer"src="https://img2018.cnblogs.com/blog/604357/201902/604357-20190228223454931-61490278.png" /></p>
<p><strong>从右向左：flex-direction:</strong> <strong>row-reverse</strong><strong>（flex-direction:row的反向） </strong></p>
<p><strong>从上往下：flex-direction: column &nbsp;</strong></p>
<p>主轴：垂直方向；交叉轴：水平方向。</p>
<p><img referrerpolicy="no-referrer"src="https://img2018.cnblogs.com/blog/604357/201902/604357-20190228223507931-1166372734.png" /></p>
<p><strong>&nbsp;</strong></p>
<p><strong>从下往上 ： flex-direction: column<strong>-reverse</strong><strong>（</strong>flex-direction: column<strong>反向） </strong></strong></p>
<p>注意：flexbox弹性布局不存在高、宽、水平、垂直等属性值。盒子模型的大小终于由浏览器计算得到。flexbox不会自己换行的，空间不够会自动伸缩。</p>
<div>
<pre class="prettyprint linenums">&lt;!DOCTYPE html&gt;<br />
&lt;html lang="en"&gt;<br />
&lt;head&gt;<br />
    &lt;meta charset="UTF-8"&gt;<br />
    &lt;title&gt;Title&lt;/title&gt;<br />
    &lt;style&gt;<br />
        * {<br />
            margin: 0;<br />
            padding: 0px;<br />
        }

        .flexbox-row{<br />
            display: flex;<br />
            flex-direction: row;<br />
        }<br />
        .box{<br />
            width: 50px;<br />
            height: 50px;<br />
        }<br />
        .flexbox-column{<br />
            display: flex;<br />
            flex-direction: column;<br />
        }<br />
        .flexbox-row-reverse{<br />
            display: flex;<br />
            flex-direction: row-reverse;<br />
        }<br />
        .flexbox-column-reverse{<br />
            display: flex;<br />
            flex-direction: column-reverse;<br />
        }<br />
    &lt;/style&gt;<br />
&lt;/head&gt;<br />
&lt;body&gt;<br />
&lt;!-- 从左向右 --&gt;<br />
&lt;div class="flexbox-row"&gt;<br />
    &lt;div class="box" style="background-color:coral;"&gt;A&lt;/div&gt;<br />
    &lt;div class="box" style="background-color:lightblue;"&gt;B&lt;/div&gt;<br />
    &lt;div class="box" style="background-color:khaki;"&gt;C&lt;/div&gt;<br />
    &lt;div class="box" style="background-color:pink;"&gt;D&lt;/div&gt;<br />
    &lt;div class="box" style="background-color:lightgrey;"&gt;E&lt;/div&gt;<br />
    &lt;div class="box" style="background-color:lightgreen;"&gt;F&lt;/div&gt;<br />
&lt;/div&gt;

&lt;!-- 从上往下 --&gt;<br />
&lt;div class="flexbox-column"&gt;<br />
    &lt;div class="box" style="background-color:coral;"&gt;A&lt;/div&gt;<br />
    &lt;div class="box" style="background-color:lightblue;"&gt;B&lt;/div&gt;<br />
    &lt;div class="box" style="background-color:khaki;"&gt;C&lt;/div&gt;<br />
    &lt;div class="box" style="background-color:pink;"&gt;D&lt;/div&gt;<br />
    &lt;div class="box" style="background-color:lightgrey;"&gt;E&lt;/div&gt;<br />
    &lt;div class="box" style="background-color:lightgreen;"&gt;F&lt;/div&gt;<br />
&lt;/div&gt;<br />
&lt;div class="flexbox-row"&gt;&lt;/div&gt;<br />
&lt;!-- 从右往左 --&gt;<br />
&lt;div class="flexbox-row-reverse"&gt;<br />
    &lt;div class="box" style="background-color:coral;"&gt;A&lt;/div&gt;<br />
    &lt;div class="box" style="background-color:lightblue;"&gt;B&lt;/div&gt;<br />
    &lt;div class="box" style="background-color:khaki;"&gt;C&lt;/div&gt;<br />
    &lt;div class="box" style="background-color:pink;"&gt;D&lt;/div&gt;<br />
    &lt;div class="box" style="background-color:lightgrey;"&gt;E&lt;/div&gt;<br />
    &lt;div class="box" style="background-color:lightgreen;"&gt;F&lt;/div&gt;<br />
&lt;/div&gt;

&lt;!-- 从下往上 --&gt;<br />
&lt;div class="flexbox-column-reverse"&gt;<br />
    &lt;div class="box" style="background-color:coral;"&gt;A&lt;/div&gt;<br />
    &lt;div class="box" style="background-color:lightblue;"&gt;B&lt;/div&gt;<br />
    &lt;div class="box" style="background-color:khaki;"&gt;C&lt;/div&gt;<br />
    &lt;div class="box" style="background-color:pink;"&gt;D&lt;/div&gt;<br />
    &lt;div class="box" style="background-color:lightgrey;"&gt;E&lt;/div&gt;<br />
    &lt;div class="box" style="background-color:lightgreen;"&gt;F&lt;/div&gt;<br />
&lt;/div&gt;<br />
&lt;/body&gt;<br />
&lt;/html&gt;</pre>
</div>
<p><strong>&nbsp;</strong></p>												<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
																
<h2>最新文章</h2>	
<ol>
						<li><a href="https://www.batexi.com/a/5qy011x8.html">AJAX大文件切割上传以及带进度条。</a>
		</li>
						<li><a href="https://www.batexi.com/a/xq45wye9.html">记一次小团队Git实践&lpar;下&rpar;</a>
		</li>
						<li><a href="https://www.batexi.com/a/1q2leg39.html">Map&sol;Reduce 工作机制分析 --- 作业的执行流程</a>
		</li>
						<li><a href="https://www.batexi.com/a/qdep0j09.html">Python中通过多个字符分割（split）字符串的方法</a>
		</li>
						<li><a href="https://www.batexi.com/a/93xpkdw9.html">mysql基本知识---20151127-2</a>
		</li>
						<li><a href="https://www.batexi.com/a/93xvp109.html">Ubuntu下安装eclipse及PyDev插件注意事项</a>
		</li>
						<li><a href="https://www.batexi.com/a/9pjv0yz9.html">【springmvc Request】 springmvc请求接收参数的几种方法</a>
		</li>
						<li><a href="https://www.batexi.com/a/q1z2xk29.html">iptables与tcpdump谁更靠近网卡</a>
		</li>
						<li><a href="https://www.batexi.com/a/qwdywwy8.html">VS2012的自动生成测试的插件 Unit Test Generator</a>
		</li>
						<li><a href="https://www.batexi.com/a/9gmowr09.html">c&plus;&plus;面试知识点</a>
		</li>
						<li><a href="https://www.batexi.com/a/qvv6kyzq.html">LeeCode-Two Sum</a>
		</li>
						<li><a href="https://www.batexi.com/a/qxkw7zd8.html">haproxy &sol;admin跳转 不会在接口上再次加上admin</a>
		</li>
						<li><a href="https://www.batexi.com/a/q7zewlx9.html">MVC教程</a>
		</li>
						<li><a href="https://www.batexi.com/a/90m4jxm8.html">如何快速把 Vue 项目升级到 webpack3</a>
		</li>
						<li><a href="https://www.batexi.com/a/9rgw0e78.html">MyBatis动态代理</a>
		</li>
						<li><a href="https://www.batexi.com/a/q7oo0ex8.html">Spring 静态代理&plus;JDK动态代理和CGLIB动态代理</a>
		</li>
						<li><a href="https://www.batexi.com/a/9r57roeq.html">【Bcftools】合并不同sample的vcf文件，通过bcftools</a>
		</li>
						<li><a href="https://www.batexi.com/a/qnvgogx8.html">&lbrack;蓝桥杯&rsqb;PREV-44&period;历届试题&lowbar;青蛙跳杯子</a>
		</li>
						<li><a href="https://www.batexi.com/a/qxd7ygz9.html">Jmeter（十）检查点</a>
		</li>
						<li><a href="https://www.batexi.com/a/963weyn9.html">Java程序设计11&mdash;&mdash;GUI设计与事件处理A</a>
		</li>
		</ol>
	

<h2>热门文章</h2>	
<ol>
									<li><a href="https://www.batexi.com/a/8oj6g0lq.html">浅析一款扫描dom-xss的浏览器插件</a>
			</li>
						<li><a href="https://www.batexi.com/a/qwjgwjz8.html">HTTP传输编码增加了传输量，只为解决这一个问题 &vert; 实用 HTTP</a>
			</li>
						<li><a href="https://www.batexi.com/a/qdpygwjq.html">Unity 用ml-agents机器学习造个游戏AI吧&lpar;2&rpar;&lpar;入门DEMO&rpar;</a>
			</li>
						<li><a href="https://www.batexi.com/a/qljrw1k9.html">POLARDB &amp;&num;183&semi; 最佳实践 &amp;&num;183&semi; POLARDB不得不知道的秘密&lpar;二&rpar;</a>
			</li>
						<li><a href="https://www.batexi.com/a/9rg2wm48.html">企业微信快捷接入Odoo的模块&mdash;&mdash;WeOdoo</a>
			</li>
						<li><a href="https://www.batexi.com/a/qxk3xwj8.html">Android底部导航栏&lpar;可滑动&rpar;----TabLayout&plus;viewPager</a>
			</li>
						<li><a href="https://www.batexi.com/a/qxk3ry08.html">远程连接身份验证错误，又找不到加密Oracle修正</a>
			</li>
						<li><a href="https://www.batexi.com/a/qdpy33zq.html">Git报错 bad numeric config value &amp;&num;39&semi;100000&amp;&num;39&semi; for &amp;&num;39&semi;pack&period;windowmemory&amp;&num;39&semi;&colon; out of range</a>
			</li>
						<li><a href="https://www.batexi.com/a/8eyg6xe9.html">不可思议的纯 CSS 滚动进度条效果</a>
			</li>
						<li><a href="https://www.batexi.com/a/9pd46yk9.html">使用 whistle 替代本地 nginx&sol;webpack 服务</a>
			</li>
			</ol>			
							
					</div>

					
<div class="next-prev-posts clearfix">
</div>
						 
				</div>
				
	<div class="clear"></div>

			</div>	
			

		</div>
</div>
</div>


<div class="clearfix"></div>
<div id="footer" class="two-s-footer">
	<div class="footer-box">
		<div class="container">
			<div class="row" style="padding-left: 15px;padding-right: 15px;">
			<div class="nav-footer">
				<a href="/">Home</a>
				</div>
				<div class="copyright-footer">
					<p>Powered By WordPress</p>
				</div>
							</div>
		</div>
	</div>
</div>
<div style="display:none">

</div>
<script src="//n4.ikafan.com/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
 </script>
</body>
</html>
